
// http://www.quirksmode.org/js/cookies.html
function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function init()
{
    var i=0;

    var author = readCookie("author");
    var email = readCookie("email");

    for (i=0;;i++)
    {
	id = "response_"+i;
	var div = document.getElementById(id);

	if (div == null) break;

	var inputs = div.getElementsByTagName("input");
	for(a=0; a<inputs.length; a++)
	{
	    if (author != null && inputs[a].getAttribute("name") == "author")
		inputs[a].value = author;
	    if (email != null && inputs[a].getAttribute("name") == "email")
		inputs[a].value = email;
	}

	// Remove space from textarea
	var textareas = div.getElementsByTagName("textarea");
	for(a=0; a<textareas.length; a++)
	{
	    textareas[a].value = "";
	}
    }
}

function display(id)
{
    div = document.getElementById(id);

    if (div == null) return 0;

    if (div.style.display == 'none' || div.style.display == '')
	div.style.display = 'block';
    else
	div.style.display = 'none';

    return 0;
}

function validateComment(id)
{
    div = document.getElementById(id);

    if (div == null) return false;

    var inputs = div.getElementsByTagName("input");
    for(a=0; a<inputs.length; a++)
    {
	if (inputs[a].getAttribute("name") == "author")
	{
	    if (inputs[a].value == '')
	    {
		alert("Vous devez entrer un pseudo");
		return false;
	    }
	    break;
	}
    }

    // Remove space from textarea
    var textareas = div.getElementsByTagName("textarea");
    for(a=0; a<textareas.length; a++)
    {
	if (textareas[a].value == "")
	{
	    alert("Vous devez rentrer un commentaire");
	    return false;
	}
	break;
    }

    return true;
}

function handleKeyPress(e){
    var key=e.keyCode || e.which;
    if (key==13){
	f = document.getElementById("search_form");
	f.submit();
    }
}